Bug 1166161 - cannot change parent of hostgroup
Summary: cannot change parent of hostgroup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Daniel Lobato Garcia
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1192487
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-20 13:44 UTC by Bryan Kearney
Modified: 2017-02-23 20:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:19:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 4596 None None None 2016-04-22 16:05:15 UTC

Description Bryan Kearney 2014-11-20 13:44:02 UTC
I cannot change the parent of a hostgroup in version 1.5 via the UI.

I believe I could do it via the rails console by changing the "ancestry" field.

Comment 1 Bryan Kearney 2014-11-20 13:44:03 UTC
Created from redmine issue http://projects.theforeman.org/issues/4596

Comment 2 Bryan Kearney 2014-11-20 13:52:07 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/4596 has been closed
-------------
Dominic Cleal
https://github.com/theforeman/foreman/pull/1403
-------------
Daniel Lobato Garcia
Applied in changeset commit:e14b6968afc277a1b461974bbb37c02319c04bc2.

Comment 7 Kedar Bidarkar 2015-02-13 09:23:54 UTC
Currently while using "parent hostgroup" most of the parameters being passed looks to be NULL as below.

Also when using the inherited parent "lifecycle_Environment_id" and upon submitting, the UI promopts me to update the request. 

Thought my options selected are very much valid and the ones inherited from the parent hostgroup.

Processing by HostgroupsController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"mpc1TdSa9br/7Z/B6zUKG4HFEpOaZJlhmRKbaYdmZjQ=", "hostgroup"=>{"parent_id"=>"4", "name"=>"rhel_grp321", "lifecycle_environment_id"=>"Inherit parent (dev)", "content_view_id"=>"2", "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "puppetclass_ids"=>[""], "domain_id"=>"", "subnet_id"=>"", "realm_id"=>"", "architecture_id"=>"", "operatingsystem_id"=>"", "medium_id"=>"", "ptable_id"=>"", "root_pass"=>"[FILTERED]", "location_ids"=>[""], "organization_ids"=>["", "1"], "id"=>""}, "fakepassword"=>"[FILTERED]", "parent_parameter_0_key"=>"", "parent_parameter_0_value"=>"[FILTERED]", "kt_activation_keys"=>"", "commit"=>"Submit"}
  Rendered common/404.html.erb within layouts/application (1.3ms)
  Rendered layouts/base.html.erb (1.8ms)
Completed 404 Not Found in 58ms (Views: 5.9ms | ActiveRecord: 5.9ms)


Will be raising a new bug for this issue but I feel better we test this bug after this issue is fixed as inheriting parent seems broken for now.

Comment 8 Kedar Bidarkar 2015-02-13 13:29:55 UTC
Updated:

Currently while using "parent hostgroup" most of the parameters being passed looks to be NULL as below. when seen through foreman/production.log

Processing by HostgroupsController#create as HTML
  Parameters: {"utf8"=>"✓", "authenticity_token"=>"mpc1TdSa9br/7Z/B6zUKG4HFEpOaZJlhmRKbaYdmZjQ=", "hostgroup"=>{"parent_id"=>"4", "name"=>"rhel_grp321", "lifecycle_environment_id"=>"Inherit parent (dev)", "content_view_id"=>"2", "environment_id"=>"", "content_source_id"=>"", "puppet_ca_proxy_id"=>"", "puppet_proxy_id"=>"", "puppetclass_ids"=>[""], "domain_id"=>"", "subnet_id"=>"", "realm_id"=>"", "architecture_id"=>"", "operatingsystem_id"=>"", "medium_id"=>"", "ptable_id"=>"", "root_pass"=>"[FILTERED]", "location_ids"=>[""], "organization_ids"=>["", "1"], "id"=>""}, "fakepassword"=>"[FILTERED]", "parent_parameter_0_key"=>"", "parent_parameter_0_value"=>"[FILTERED]", "kt_activation_keys"=>"", "commit"=>"Submit"}
  Rendered common/404.html.erb within layouts/application (1.3ms)
  Rendered layouts/base.html.erb (1.8ms)
Completed 404 Not Found in 58ms (Views: 5.9ms | ActiveRecord: 5.9ms)

creating hostgroup with parent: Also when using the default inherited parent "lifecycle_Environment" and upon submitting, the UI promopts me to update the request. 

Though my options selected are very much valid and the ones inherited from the parent hostgroup.

Will be raising a new bug for this issue but I feel better we test this bug after this issue is fixed as inheriting parent seems broken for now. Will be updating the bug_id soon here.

Comment 9 Kedar Bidarkar 2015-03-13 16:14:51 UTC
VERIFIED With sat6.1 beta snap6 compose2.

We are now able to change the parent of hostgroup.

Comment 10 Bryan Kearney 2015-08-11 13:25:45 UTC
This bug is slated to be released with Satellite 6.1.

Comment 11 errata-xmlrpc 2015-08-12 05:19:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.